<?php 
	add_action( 'init', 'et_create_brand_taxonomies' );
	if(!function_exists('et_create_brand_taxonomies')) {
		function et_create_brand_taxonomies() {
			if ( function_exists('etheme_get_option') && !etheme_get_option('enable_brands') ) {
				return;
			}
			$labels = array(
				'name'              => _x( 'Brands', '', 'legenda' ),
				'singular_name'     => _x( 'Brand', '', 'legenda' ),
				'search_items'      => __( 'Search Brands', 'legenda' ),
				'all_items'         => __( 'All Brands', 'legenda' ),
				'parent_item'       => __( 'Parent Brand', 'legenda' ),
				'parent_item_colon' => __( 'Parent Brand:', 'legenda' ),
				'edit_item'         => __( 'Edit Brand', 'legenda' ),
				'update_item'       => __( 'Update Brand', 'legenda' ),
				'add_new_item'      => __( 'Add New Brand', 'legenda' ),
				'new_item_name'     => __( 'New Brand Name', 'legenda' ),
				'menu_name'         => __( 'Brands', 'legenda' ),
			);

			$args = array(
				'hierarchical'      => true,
				'labels'            => $labels,
				'show_ui'           => true,
				'show_admin_column' => true,
				'query_var'         => true,
	            'capabilities'			=> array(
	            	'manage_terms' 		=> 'manage_product_terms',
					'edit_terms' 		=> 'edit_product_terms',
					'delete_terms' 		=> 'delete_product_terms',
					'assign_terms' 		=> 'assign_product_terms',
	            ),
	            'show_in_rest'       => false,
				'rewrite'           => array( 'slug' => 'brand' ),
			);

			register_taxonomy( 'brand', array( 'product' ), $args );
		}
	}
?>