<?php 

	add_action('init', 'et_register_static_blocks');

	add_filter( 'manage_staticblocks_posts_columns', 'et_staticblocks_columns' );
	add_action( 'manage_staticblocks_posts_custom_column', 'et_staticblocks_columns_val', 10, 2 );

	if(!function_exists('et_register_static_blocks')) {
	    function et_register_static_blocks() {
	            if ( function_exists('etheme_get_option') && !etheme_get_option('enable_static_blocks') ) {
	                return;
	            }
	            $labels = array(
	                'name' => _x( 'Static Blocks', 'post type general name', 'legenda' ),
	                'singular_name' => _x( 'Block', 'post type singular name', 'legenda' ),
	                'add_new' => _x( 'Add New', 'static block', 'legenda' ),
	                'add_new_item' => sprintf( __( 'Add New %s', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'edit_item' => sprintf( __( 'Edit %s', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'new_item' => sprintf( __( 'New %s', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'all_items' => sprintf( __( 'All %s', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'view_item' => sprintf( __( 'View %s', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'search_items' => sprintf( __( 'Search %a', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'not_found' =>  sprintf( __( 'No %s Found', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'not_found_in_trash' => sprintf( __( 'No %s Found In Trash', 'legenda' ), __( 'Static Blocks', 'legenda' ) ),
	                'parent_item_colon' => '',
	                'menu_name' => __( 'Static Blocks', 'legenda' )

	            );
	            $args = array(
	                'labels' => $labels,
	                'public' => true,
	                'publicly_queryable' => true,
	                'show_ui' => true,
	                'show_in_menu' => true,
	                'query_var' => true,
	                'rewrite' => array( 'slug' => 'staticblocks' ),
	                'capability_type' => 'post',
	                'has_archive' => false,
	                'hierarchical' => false,
	                'supports' => array( 'title', 'editor', 'thumbnail', 'page-attributes' ),
	                'menu_position' => 8,
	                'show_in_rest' => true
	            );
	            register_post_type( 'staticblocks', $args );
	    }
	}

	function et_staticblocks_columns($defaults) {
	    return array(
	    	'cb'               => '<input type="checkbox" />',
	        'title'            => esc_html__( 'Title', 'legenda-core' ),
	        'shortcode_column' => esc_html__( 'Shortcode', 'legenda-core' ),
	        'date'             => esc_html__( 'Date', 'legenda-core' ),
	    );
	}
	 
	function et_staticblocks_columns_val($column_name, $post_ID) {
	   if ($column_name == 'shortcode_column') {
            echo '[block id="'.$post_ID.'"]';
	   }
	}
?>